#3567 closed enhancement (fixed)

Convert SPARC Call Info Web Page to Rst

Reported by: Joel Sherrill Owned by: Marçal Comajoan Cara <mcomajoancara@…>
Priority: normal Milestone: Indefinite
Component: doc Version:
Severity: normal Keywords: GCI
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

We have permission from the author (Peter Magnusson) to convert this page:

https://web.archive.org/web/20120205014832/https://www.sics.se/~psm/sparcstack.html

to Rst and incorporate it into the SPARC CPU Supplement. The original website is no longer available and we have to reference archive.org. This information was quite useful to those who have dived into the details of the SPARC.

The conversion will need to be done by hand to ensure that the resulting Rst file is consistent with RTEMS Documentation Rst files. For the purposes of this ticket, assume the converted content will be placed as a new section at the end of the SPARC chapter in the CPU Supplement.

https://git.rtems.org/rtems-docs/tree/cpu-supplement/sparc.rst

For a first cut, the ASCII figures on the website can be ASCII figures in the Rst. As a second pass, they should be processed with DITAA into PNG files.

There is a starting point for the conversion in Joel's personal git repository on the sparcv8 branch. The content has had a very basic sanity check but there is more to do. Known issues with formatting are noted in the file. This repo can be browsed at https://git.rtems.org/joel/rtems-docs.git/. Please submit patches against the repo for the file cpu-supplement/sparc_v8_stacks_regwin.rst.

This ticket is to track that conversion.

Change History (3)

comment:1 Changed on Nov 4, 2018 at 4:14:23 PM by Joel Sherrill

Description: modified (diff)

comment:2 Changed on Nov 9, 2018 at 10:34:42 PM by Joel Sherrill

Description: modified (diff)

comment:3 Changed on Nov 19, 2018 at 7:12:32 PM by Marçal Comajoan Cara <mcomajoancara@…>

Owner: set to Marçal Comajoan Cara <mcomajoancara@…>
Resolution: fixed
Status: newclosed

In ae05a27/rtems-docs:

Improve SPARC Calling Overview Webpage conversion

Fixed tables, typos, redrawn images and converted ASCII art to ditaa
and PNG, and improved the overall format.

This work was part of GCI 2018.

Closes #3567.

Note: See TracTickets for help on using tickets.